Статус генерации
curl --request GET \
--url https://api.example.com/api/v2/generate/{generation_id}import requests
url = "https://api.example.com/api/v2/generate/{generation_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/generate/{generation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Генерация (создание)
Статус генерации
Опрос статуса асинхронной задачи
GET
/
api
/
v2
/
generate
/
{generation_id}
Статус генерации
integer
обязательно
ID генерации из
POST /api/v2/generate.curl https://elumenta.ru/api/v2/generate/18502 \
-H "Authorization: Bearer nb_ВАШ_КЛЮЧ"
{"id": 18502, "status": "pending", "result_url": null, "tokens_spent": 0}
{
"id": 18502,
"status": "completed",
"result_url": "https://storage.elumenta.ru/generations/18502.mp4",
"tokens_spent": 60,
"processing_ms": 87420
}
{"id": 18503, "status": "failed", "error": "Content policy violation", "tokens_spent": 0}
⌘I

